import re
from datetime import date

def get_publication_year_from_suffix(suffix):
    start_year = 1700
    end_year = date.today().year + 1
    match = re.search("[^-–0-9]?([0-9]{4})[^-–0-9]?", suffix)
    if match is None:
        return ""
    year = int(match.group(1))
    if year >= start_year and year <= end_year:
        return year
    return ""


def get_page_range_from_suffix(suffix):
    match = re.search("\d{1,}[–-]\d{1,}", suffix)
    if match is None:
        return "", ""
    first_page, last_page = re.split("–|-", match[0])
    if first_page is not None and last_page is not None:
        return first_page, last_page
    return "", ""
