from ast import Or
import xml.etree.ElementTree as ET


def create_query_using_attributes_xml(meta_data, query):
    if meta_data.tag == "authors":
        authors = []
        for author in meta_data:
            authors.append(author.text)
        query["query.author"] = ", ".join(list(authors))
    if meta_data.tag == "suffix":
        query["query.bibliographic"] = meta_data.text
    if meta_data.tag == "title":
        query["query.title"] = meta_data.text


def parse_xml(xml_data, parser):
    output = []
    query = {}
    references = ET.fromstring(str(xml_data, "utf-8"))
    for reference in references:
        for meta_data in reference:
            create_query_using_attributes_xml(meta_data, query)

        identifier = parser(query)

        output.append({
            "author": query["query.author"],
            "title": query["query.title"],
            "bibliographic": query["query.bibliographic"],
        } | identifier)
        query = {}
    return output
